/* styles.css */
.intro{
    text-align:center;
    padding: 5px;
}
body {
    display: flex
    justify-content: center;
    align-items: center;
    color: #dee2e6;
    background-color: #1B1E1F;
    font-family: Roboto, sans-serif;
    margin: 0 auto;
    max-width: 1000px;
    font-size: 16px;
    animation: fadeInAnimation 0.5s ;
}
@keyframes fadeInAnimation{
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}


@media (max-width:768px){
    body{
        padding: 10px;
    }
}


header {
    margin: -10px;
    background-color: #1B1E1F;
    padding: 10px 10px;
    position: relative;
    border-bottom: 2px solid #847b6e;
    box-shadow: 0 2px 10px rgbt(0,0,0,0.3);
}

.header-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    margin-top : -10px;
    margin-bottom: -25px;
    padding-bottom:0px;

}

.menu-toggle {
    background: none;
    border: none;
    font-size: 32px;
    cursor: pointer;
    transition: color 0.3s ease;
}

.menu-toggle:hover {
    transform: scale(0.95);
    color: #0056b3;
}

.menu-toggle.active {
    transform: scale(0.95);
    color:#847b6e;
}

.nav-menu {
    display: none;
    position: absolute;
    right: 0;
    top: 100%;
    background-color: #1B1E1F;
    border: 1px solid #847b6e;
    border-radius: 14px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    top: 70px;
    z-index : 100
}

.nav-menu.show {
    display: block;
}

.nav-menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.nav-menu li {
    margin: 0;
}

.nav-menu a {
    display: block;
    padding: 11px;
    text-decoration: none;
    color: #007bff;
    font-weight: bold;
    position: relative;
}

.nav-menu a:hover {
    background-color: #181b1c;
    transition: background-color 0.3s ease, color 0.3s ease;
    text-decoration: none;
}

main {
    padding: 10px;
}

section {
    margin-bottom: 10px;
}

section h2 {
    border-bottom: 2px solid #007bff;
    padding-bottom: 5px;
}
section h1 {
    border-bottom: 1px solid #847b6e;
    padding-bottom : 5px;
}

footer {
    background-color: #1B1E1F;
    padding: 10px;
    text-align: center;
    border-top: 1px solid #dee2e6;
}
/* Style for the expandable section headers */
.expander {
    cursor: pointer;
    padding: 8px;
    background-color: #007bff ;
    border: 1px solid #847b6e;
    margin-top: 8px;
    border-radius: 8px;
    font-size: 1.0em;
    font-weight: bold;
    text-align: center;
}
/* Style for the content sections */
.content {
    display: none; /* Initially hidden */
    padding: 10px;
    border: 1px solid #847b6e;
    border-top: none;
    border-radius: 0 0 8px 8px;
    background-color: #1B1E1F;
}

/* Style for the active header */
.active {
      background: linear-gradient(to right, #2a0532, #007bff);
    border-radius: 8px 8px 0 0;
}
.table-containter {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    padding: 0px;
}
table {
    width: 50%;
    margin: 0 auto;
    border-collapse: collapse;
}
th, td{
    padding:8px;
    border: 1px solid #ddd;
    text-align: center;
}
/* Default link color */
a {
    color: #007bff; /* Blue color */
    text-decoration: none; /* Remove underline */
}

/* Link color when hovered */
a:hover {
    color: #dee2e6; /* Red color when hovered */
    text-decoration: underline; /* Underline on hover */
    border-radius: 13px;
}

/* Link color when active (clicked) */
a:active {
    color: #ff0000; /* Red color when active */
    border-radius: 5px;
}

.video-container {
      display: flex;
      justify-content: center;
      align-items: center;
      position: relative;
      height: 60%;
      padding-bottom: 56.25%; /* 16:9 Aspect Ratio */
      overflow: hidden;
      margin-bottom: 20px; /* Space between videos */
    }
    .video-container iframe {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
  }
  pre {
    background-color: #252A33;
    padding: 8px;
    border-radius: 5px;
    overflow-x: scroll;
    text-align: left;
  white-space: pre;
  word-break: normal;
  word-spacing: normal;
}

code {
    font-family: Consolas, 'Courier New', Courier, monospace;
    font-size: 1em;
    color: #dee2e6;
    display: block;
}
.cassy-drawing{
    max-width: 1000px; /* Maximum width */
    max-height: 200px; /* Maximum height */
    width: auto; /* Adjust width within max-width */
    height: auto; /* Adjust height within max-height */
    margin-bottom: 10px;
}

